#include <stdio.h>
#include "../winuser.h"
int _printBitmap(mmachine m)
{ m->pp+=6;return MMpush(m,NIL); }
int _printBitmapDlg(mmachine m)
{ m->pp+=6;return MMpush(m,NIL); }
int _lineprint(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _lineprintff(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
#define NPRINTERPKG 4
char* PRINTERname[NPRINTERPKG]=
{"_printBitmap","_printBitmapDlg","_lineprint","_lineprintff"};
int (*PRINTERfun[NPRINTERPKG])(mmachine m)=
{_printBitmap,_printBitmapDlg,_lineprint,_lineprintff};
int PRINTERnarg[NPRINTERPKG]=
{6,6,1,1};
char* PRINTERtype[NPRINTERPKG]=
{"fun [ObjBitmap S I I I I] ObjBitmap","fun [ObjBitmap ObjWin I I I I] ObjBitmap","fun [S] S","fun [S] S"};
int SCOLloadPRINTER(mmachine m)
{
return PKhardpak(m,"PRINTER.pkg",NPRINTERPKG,PRINTERname,PRINTERfun,PRINTERnarg,PRINTERtype);
}
